[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridCursorState

Enumerated type with cursor states available in a grid.

## Declaration

Source position: grids.pas line 722

`type TGridCursorState = (`
`gcsDefault,` |  | Normal cursor shape/style.
`gcsColWidthChanging,` |  | Cursor displayed when changing the width for a column.
`gcsRowHeightChanging,` |  | Cursor displayed when resizing the height for a row.
`gcsDragging` |  | Cursor displayed when dragging a row or column.
`);`

## Description

TGridCursorState is the type used for the CursorState property in TCustomGrid.

## See also

TCustomGrid.CursorState |  | Current cursor state for the grid control.